/*
**  ClanLib SDK
**  Copyright (c) 1997-2005 The ClanLib Team
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
**  Note: Some of the libraries ClanLib may link to may have additional
**  requirements or restrictions.
**
**  File Author(s):
**
**    Magnus Norddahl
**    (if your name is missing here, please add it)
*/

#ifndef header_progressbar_generic
#define header_progressbar_generic

#if _MSC_VER > 1000
#pragma once
#endif

#include <API/Core/System/timer.h>
#include <API/Display/input_event.h>
#include <API/Core/Math/rect.h>
#include <API/signals.h>

class CL_ProgressBar;
class CL_Button;
class CL_InputDevice;
class CL_Component;
class CL_DomElement;
class CL_StyleManager;

class CL_ProgressBar_Generic
{
//! Construction:
public:
	CL_ProgressBar_Generic(CL_ProgressBar *self, int steps);
	~CL_ProgressBar_Generic() {};

//! Attributes:
public:
	float get_percentage() const;

	int steps;
	int progress;

//! Operations:
public:
	void set_steps(int total_steps);
	void set_progress(int progress);
	void increase(int steps);
	void reset();

//! Implementation:
private:
	CL_ProgressBar *progressbar;

	void on_set_options(const CL_DomElement &options);
	CL_Slot slot_set_options;
};

#endif
